Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.util
Interface WindowJob

All Superinterfaces:
  Action, ComponentChooser

public interface WindowJob
extends ComponentChooser, Action

Supposed to be used to perform some periodical job.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `WindowManager`

Method Summary
`boolean` | `checkComponent(java.awt.Component comp)` Checks if window is what we want to do something with.
`java.lang.String` | `getDescription()` Job description.
`java.lang.Object` | `launch(java.lang.Object obj)` Perform necessary actions.

Method Detail

### launch

    public java.lang.Object launch(java.lang.Object obj)

  Perform necessary actions.
  Specified by:
    `launch` in interface `Action`
  Following copied from interface: `org.netbeans.jemmy.Action`
  Parameters:
    `obj` - action argument. This argument might be the method parameter in an invocation of `ActionProducer.produceAction(Object)`. This argument might be a `java.lang.String[]` that lists the command line arguments used to execute a test (or not).
  Returns:
    action result.

### checkComponent

    public boolean checkComponent(java.awt.Component comp)

  Checks if window is what we want to do something with.
  Specified by:
    `checkComponent` in interface `ComponentChooser`
  Following copied from interface: `org.netbeans.jemmy.ComponentChooser`
  Parameters:
    `comp` - Component to check.
  Returns:
    `true` when the component conforms to the search criteria; `false` otherwise.

### getDescription

    public java.lang.String getDescription()

  Job description.
  Specified by:
    `getDescription` in interface `ComponentChooser`
  Following copied from interface: `org.netbeans.jemmy.ComponentChooser`
  Returns:
    a String representing the description value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD